﻿
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("_PartialScript")
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")

<div class ="content">
<table >
    <tr>
        <td style="width: 70px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Start Date";
                }).GetHtml()
        </td>
        
        <td style="width: 100px">
         @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "DateFrom";
                        settings.Date = DateTime.Now;
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd-MM-yyyy";
                        settings.Properties.DisplayFormatString = "dd-MM-yyyy";
                        settings.Width = 90;
                        
                    }
                ).GetHtml()
        </td>
        <td style="width: 62px">
       
             @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*End Date";
                }).GetHtml()
        </td>
        <td style="width:100px">
       
        
          @Html.DevExpress().DateEdit(
                                settings =>                        
                                {
                                    settings.Name = "EndDate";
                                    settings.Date = DateTime.Now;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    //settings.Properties.NullText = "dd/MM/yyyy";
                                    //settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.DisplayFormatInEditMode = true;
                                    settings.Properties.EditFormatString = "dd-MM-yyyy";
                                    settings.Properties.DisplayFormatString = "dd-MM-yyyy";
                                    settings.Width = 90;
                                }
                            ).GetHtml()

         </td>

          <td style="width:90px">
         
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Function Name";
                }).GetHtml()
            </td>
            <td style="width:210px">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "FunctionName";
                    settings.Width = 200;
                    settings.SelectedIndex = -1;
                    settings.Properties.DropDownWidth = 400;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "ComboBoxPartial" };
                    settings.Properties.TextFormatString = "{1}";//data yang di tampilkan di combo
                    settings.Properties.TextField = "FUNCTION_ID";//data untuk yang di cari
                    settings.Properties.ValueField = "FUNCTION_ID";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("FUNCTION_ID", "Function Id", 70);
                    settings.Properties.Columns.Add("FUNCTION_NAME", "Function Name", 350);
                }).BindList(ViewData["FUNCTION_NAME"]).GetHtml()
            
               </td>

        <td style="width:70px">
        
          @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Process ID";
         }).GetHtml()
        
        </td>

        <td style="width:130px">
   
    
         @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessID";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 124;
                        settings.Properties.MaxLength = 16;
                    }
          ).GetHtml()
    
    
    </td>
    <td>
            @Html.DevExpress().TextBox(hsettings =>
                    {
                        hsettings.Name = "Process_ID2";
                        hsettings.ClientVisible = false;
                    }).GetHtml()
            </td>

  <td style="width:70px"> 
   
     @Html.DevExpress().Label(
      label =>
      {
      label.Text = "User Name";
      }).GetHtml()
    </td>
   
    <td style="width:100px"> 
  
     @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "UserName";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 180;
                        settings.Properties.MaxLength = 20;
                    }
                ).GetHtml()
    
    </td>

     <td style="width:60px"></td>
    <td>
        @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdSearch";
                                    edtSetting.Text = "Search";
                                    edtSetting.Width = 80;
                                    edtSetting.ClientSideEvents.Click = "OnSearch";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    
                                }
                            ).GetHtml()
    </td>
    <td style="width:5px"></td>
    <td>
        @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdClear";
                                    edtSetting.Width = 80;
                                    edtSetting.Text = "Clear";
                                    edtSetting.ClientSideEvents.Click = "OnClear";
                                    edtSetting.ClientSideEvents.Init = "OnInit";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    
                                }
                            ).GetHtml()
    </td>
 </tr>  
</table>
</div>

<div class="content" >
 @Html.Partial("GridViewLogMonitoring") 
</div>
    
    
   